Loading...
Searching...
No Matches
dimacs.h File Reference
Input-Output » DIMACS Format
`#include <iostream>`
`#include <string>`
`#include <vector>`
`#include <limits>`
`#include <lemon/maps.h>`
`#include <lemon/error.h>`

## Classes

struct | DimacsDescriptor
| DIMACS file type descriptor. More...

## Namespaces

namespace | lemon
| The namespace of LEMON.

## Functions

DimacsDescriptor | dimacsType (std::istream &is)
| Discover the type of a DIMACS file.
template<typename Digraph, typename LowerMap, typename CapacityMap, typename CostMap, typename SupplyMap>
void | readDimacsMin (std::istream &is, Digraph &g, LowerMap &lower, CapacityMap &capacity, CostMap &cost, SupplyMap &supply, typename CapacityMap::Value infty=0, DimacsDescriptor desc=DimacsDescriptor())
| DIMACS minimum cost flow reader function.
template<typename Digraph, typename CapacityMap>
void | readDimacsMax (std::istream &is, Digraph &g, CapacityMap &capacity, typename Digraph::Node &s, typename Digraph::Node &t, typename CapacityMap::Value infty=0, DimacsDescriptor desc=DimacsDescriptor())
| DIMACS maximum flow reader function.
template<typename Digraph, typename LengthMap>
void | readDimacsSp (std::istream &is, Digraph &g, LengthMap &length, typename Digraph::Node &s, DimacsDescriptor desc=DimacsDescriptor())
| DIMACS shortest path reader function.
template<typename Digraph, typename CapacityMap>
void | readDimacsCap (std::istream &is, Digraph &g, CapacityMap &capacity, typename CapacityMap::Value infty=0, DimacsDescriptor desc=DimacsDescriptor())
| DIMACS capacitated digraph reader function.
template<typename Graph>
void | readDimacsMat (std::istream &is, Graph &g, DimacsDescriptor desc=DimacsDescriptor())
| DIMACS plain (di)graph reader function.
template<typename Digraph>
void | writeDimacsMat (std::ostream &os, const Digraph &g, std::string comment="")